[Search and Autocomplete] "Could not find Autocomplete widget" in v10

[Search and Autocomplete] "Could not find Autocomplete widget" in v10

  
Forge Component
(15)
Published on 2 Mar by Leonardo Fernandes
15 votes
Published on 2 Mar by Leonardo Fernandes

Hi.  Thanks for your very useful Autocomplete widget.

My env has recently been upgraded to 10.0.105.0.  I have no errors in my Service Studio TrueChange, but I am getting an exception "Could not find Autocomplete widget" when I try to access the widget within a browser page in my project.

I have downloaded Search extension into Integration Studio and re-compiled and -published that successfully.  I have also re-published the autocomplete and search e-spaces to my env, and then re-published my project (after refreshing its dependencies).

I can't think what is causing this error or what further steps to take.

Are you able to help?

Hi,

Can you make your oml available for analysis?

Hello guys. This thread must have gone off my radar.


Here's the thing. I know that this component was not updated to P10. But it should work in P10.

You would need first to install the Event System compatible with P10. Then, you republish this component.

You'll have some errors in the extension - but the extension is only needed for the ranked search, and not needed for the autocomplete.


Regarding the update to P10, I'm working on it, and yes - it will include the source code. But won't include the ranked search feature (which no one is using anyway).

Best regards,

Leonardo Fernandes

Hi.

Just to let you know that the Autocomplete component for v10 is already published on the forge.

Best regards,

Leonardo Fernandes